// Vererbung und Polymorphie

import java.util.ArrayList;

public class FlugzeugTest {
	
	public static void main (String[] args) {
		
		Flugzeug flugzeuge[] = new Flugzeug[5];
		flugzeuge[0] = new A380 ();
		flugzeuge[1] = new B787 ();
		flugzeuge[2] = new F16_Falcon ();
		flugzeuge[3] = new ModellFlugzeug ();
		flugzeuge[4] = new Flugzeug ();

		// explizites Typcasting
		if (flugzeuge[2] instanceof KampfFlugzeug) {
			((KampfFlugzeug) flugzeuge[2]).schleudersitzBetaetigen ();
		}
		
		// Typ Flugzeug
		System.out.println ("\nFlugzeuge warten lassen.");
		Werkstatt pitStop = new Werkstatt ();
		for (Flugzeug einFlugObjekt : flugzeuge) {
			pitStop.motorWarten (einFlugObjekt);
		}
				
		// Typ KannTanken
		System.out.println ("\nFlugzeuge tanken lassen.");
		ArrayList<KannTanken> tankbareFlugzeuge = new ArrayList<KannTanken> ();
		tankbareFlugzeuge.add (new A380 ());
		tankbareFlugzeuge.add (new B787 ());		
		tankbareFlugzeuge.add (new F16_Falcon ());
		
		for (KannTanken einFlugObjekt : tankbareFlugzeuge) {
			pitStop.flugzeugTanken (einFlugObjekt);
		}
		
	}
}